#### D.3.1.27 headStand

Procedure from library `matrix.lib` (see matrix_lib).

Usage:
  headStand(M); M matrix

Return:
  matrix B such that B[i][j]=M[n-i+1,m-j+1], n=nrows(M), m=ncols(M)

Example:

    LIB "matrix.lib";
    ring r=0,(A,B,C),dp;
    matrix M[2][3]=
    0,A,  B,
    A2, B2, C;
    print(M);
    ==> 0, A, B,
    ==> A2,B2,C
    print(headStand(M));
    ==> C,B2,A2,
    ==> B,A, 0

User manual for Singular version 4.4.1, 2025, generated by texi2html.